GNU bug report logs - #1779
23.0.60; proced with variable-pitch header line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Stephen Berman <stephen.berman@HIDDEN>; dated Sat, 3 Jan 2009 22:10:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) fixed. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 22 Jul 2011 05:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 22 01:15:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qk85R-0005dl-Rh
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2011 01:15:46 -0400
Received: from vm-emlprdomr-03.its.yale.edu ([130.132.50.144])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1Qk85Q-0005dV-CW
	for 1779 <at> debbugs.gnu.org; Fri, 22 Jul 2011 01:15:45 -0400
Received: from furball (c-76-28-93-216.hsd1.ct.comcast.net [76.28.93.216])
	(authenticated bits=0)
	by vm-emlprdomr-03.its.yale.edu (8.14.4/8.14.4) with ESMTP id
	p6M5FbSe008242
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Fri, 22 Jul 2011 01:15:38 -0400
From: Chong Yidong <cyd@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN> <87ipqxg377.fsf@HIDDEN>
	<87vcuxjqz7.fsf@HIDDEN>
	<20006.49745.933829.299324@HIDDEN>
	<87fwlzpowg.fsf@HIDDEN>
	<20008.59545.186131.208473@HIDDEN>
Date: Fri, 22 Jul 2011 01:15:37 -0400
In-Reply-To: <20008.59545.186131.208473@HIDDEN> (Roland Winkler's
	message of "Thu, 21 Jul 2011 22:03:53 -0500")
Message-ID: <87vcuux5dy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.71 on 130.132.50.144
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 1779
Cc: Stephen Berman <stephen.berman@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

"Roland Winkler" <winkler@HIDDEN> writes:

> Thanks, I'll have to find out what Tabulated List mode is doing.
> I am just wondering: In general, proced was much inspired by dired.
> Would you suggest that dired should likewise use Tabulated List mode?

T-L mode is not suitable for Dired, because not every line is an
"entry", i.e. the first two summary lines---which are also the reason
why Dired does not use the header line.  Other Dired features, like
showing multiple directories, also break T-L mode assumptions.

One mode that could be usefully converted to use T-L mode is Buffer Menu
mode.  Maybe we'll get round to that in a future major Emacs version.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 22 Jul 2011 03:04:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 21 23:04:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qk62B-0001lq-3c
	for submit <at> debbugs.gnu.org; Thu, 21 Jul 2011 23:04:15 -0400
Received: from tfkpsv.physik.uni-erlangen.de ([131.188.164.197])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rwinkler@HIDDEN>) id 1Qk629-0001ld-EM
	for 1779 <at> debbugs.gnu.org; Thu, 21 Jul 2011 23:04:14 -0400
Received: from regnitz (unknown [218.22.26.51])
	by tfkpsv.physik.uni-erlangen.de (Postfix) with ESMTP id 58FE728C30;
	Fri, 22 Jul 2011 05:04:02 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20008.59545.186131.208473@HIDDEN>
Date: Thu, 21 Jul 2011 22:03:53 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <87fwlzpowg.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN>
	<8739i72r0o.fsf@HIDDEN> <87r55motf9.fsf@HIDDEN>
	<87ipqxg377.fsf@HIDDEN> <87vcuxjqz7.fsf@HIDDEN>
	<20006.49745.933829.299324@HIDDEN>
	<87fwlzpowg.fsf@HIDDEN>
X-Mailer: VM 8.2 trial under 24.0.50.1 (x86_64-unknown-linux-gnu)
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 1779
Cc: Stephen Berman <stephen.berman@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On Thu Jul 21 2011 Chong Yidong wrote:
> AFAICT, the alignment issue does not occur in Tabulated List mode, which
> uses :align-to.  In the short run, you might be able to get a clue about
> the correct fix from there.  In the long run, I think proced.el should
> be reworked to use Tabulated List mode.

Thanks, I'll have to find out what Tabulated List mode is doing.
I am just wondering: In general, proced was much inspired by dired.
Would you suggest that dired should likewise use Tabulated List mode?

Roland




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 21 Jul 2011 16:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 21 12:41:29 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjwJV-0003sA-3f
	for submit <at> debbugs.gnu.org; Thu, 21 Jul 2011 12:41:29 -0400
Received: from vm-emlprdomr-03.its.yale.edu ([130.132.50.144])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1QjwJS-0003rx-1J
	for 1779 <at> debbugs.gnu.org; Thu, 21 Jul 2011 12:41:26 -0400
Received: from furball ([128.36.225.144]) (authenticated bits=0)
	by vm-emlprdomr-03.its.yale.edu (8.14.4/8.14.4) with ESMTP id
	p6LGfKED025196
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
	Thu, 21 Jul 2011 12:41:20 -0400
From: Chong Yidong <cyd@HIDDEN>
To: "Roland Winkler" <winkler@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN> <87ipqxg377.fsf@HIDDEN>
	<87vcuxjqz7.fsf@HIDDEN>
	<20006.49745.933829.299324@HIDDEN>
Date: Thu, 21 Jul 2011 12:41:19 -0400
In-Reply-To: <20006.49745.933829.299324@HIDDEN> (Roland Winkler's
	message of "Wed, 20 Jul 2011 06:56:01 -0500")
Message-ID: <87fwlzpowg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.71 on 130.132.50.144
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 1779
Cc: Stephen Berman <stephen.berman@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

"Roland Winkler" <winkler@HIDDEN> writes:

> On Wed Jul 20 2011 Stephen Berman wrote:
>> Certainly the new behavior is untenable; please revert my patch.  I
>> didn't know about the long format and didn't test it.  I took a quick
>> look but couldn't come up with a quick fix.  I'll try some more when I
>> have time, but it won't be soon; if you or somebody else can find a fix,
>> that would be great.  Or maybe this problem is a good argument for
>> hardcoding fixed-pitch for the proced header line.
>
> Right now it's not clear to me where things went wrong with your
> patch. The behavior I got did not make sense to me under any
> circumstances. So possibly this really indicated that things are
> going wrong elsewhere. I want to take a closer look at this, too.
>
> I am sorry I missed your original bug report.

AFAICT, the alignment issue does not occur in Tabulated List mode, which
uses :align-to.  In the short run, you might be able to get a clue about
the correct fix from there.  In the long run, I think proced.el should
be reworked to use Tabulated List mode.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 20 Jul 2011 11:56:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 20 07:56:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjVO2-0001sV-N9
	for submit <at> debbugs.gnu.org; Wed, 20 Jul 2011 07:56:23 -0400
Received: from tfkpsv.physik.uni-erlangen.de ([131.188.164.197])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rwinkler@HIDDEN>) id 1QjVO0-0001sI-Jw
	for 1779 <at> debbugs.gnu.org; Wed, 20 Jul 2011 07:56:21 -0400
Received: from regnitz (unknown [218.22.26.51])
	by tfkpsv.physik.uni-erlangen.de (Postfix) with ESMTP id 45BE528C30;
	Wed, 20 Jul 2011 13:56:11 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20006.49745.933829.299324@HIDDEN>
Date: Wed, 20 Jul 2011 06:56:01 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <87vcuxjqz7.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN>
	<8739i72r0o.fsf@HIDDEN> <87r55motf9.fsf@HIDDEN>
	<87ipqxg377.fsf@HIDDEN> <87vcuxjqz7.fsf@HIDDEN>
X-Mailer: VM 8.2 trial under 24.0.50.1 (x86_64-unknown-linux-gnu)
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On Wed Jul 20 2011 Stephen Berman wrote:
> Certainly the new behavior is untenable; please revert my patch.  I
> didn't know about the long format and didn't test it.  I took a quick
> look but couldn't come up with a quick fix.  I'll try some more when I
> have time, but it won't be soon; if you or somebody else can find a fix,
> that would be great.  Or maybe this problem is a good argument for
> hardcoding fixed-pitch for the proced header line.

Right now it's not clear to me where things went wrong with your
patch. The behavior I got did not make sense to me under any
circumstances. So possibly this really indicated that things are
going wrong elsewhere. I want to take a closer look at this, too.

I am sorry I missed your original bug report.

Roland




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 20 Jul 2011 09:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 20 05:55:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjTUl-0005sm-Si
	for submit <at> debbugs.gnu.org; Wed, 20 Jul 2011 05:55:15 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QjTUg-0005rz-Dt
	for 1779 <at> debbugs.gnu.org; Wed, 20 Jul 2011 05:55:10 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QjTUP-0005px-L0; Wed, 20 Jul 2011 11:54:49 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <87vcuxjqz7.fsf@HIDDEN> (Stephen Berman's message of
	"Wed, 20 Jul 2011 10:28:28 +0200")
Date: Wed, 20 Jul 2011 11:54:46 +0200
Message-ID: <m3pql51dll.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN> <87ipqxg377.fsf@HIDDEN>
	<87vcuxjqz7.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUAAADYt3euk2EQDg4B
	AQFuX0Tw1Y9K1NyGAAACaklEQVQ4jXWUTZLbIBCFKQcfoHGJPbik/ahF1pQtHUBS4T2aEvc/Ql6D
	k5lKJcxCHn30z3uNUHr+WtPXz6eKav7nUur/4Jr+rPB+CohqoW4k4zfve95TwtPPUSulF8OcvHeD
	KaYLm7vzOEdJtXQA2Dd4a8gRfYE7h7S5wRqbyRu6cahALzsH530ejpKLcRXoVnwPCcQbW0rpXMcB
	4pTWC3EwvsefPUrJCSVnXbvqeDSISJs1G5UztAjpagrenMndXgjc0PwHEknEbRqdPYLvjYFQDxAF
	qGWfRl8OKCEzFAOwxhbBT15z5+1K9CKJcALQFTPvG7ZD9QqFHEhqxCoQL31PRIMx8DjPrQbMIZjk
	qAD0G3OulsQFHngnqFgxUQDmMaurCEQaI4D+ArLTwKkKQo51gte8j9TJK8oSyGONgI4CYBKRLT75
	fofAmkpfM1LZI1kZoL2zeCXz0I9DQDlN77MjAWs7JZcDWpGmHAdaOBNzkQgItHsoAuBgxg4OJdZ2
	JQLgkMmuaJn51WpcPmuN8gkZfQW2Cbzs/IH/JY8xLtdUUkNfWUC2oi53JUtXWnRc7gCSw9GAGR6M
	k4hUOj5O/jhJAKZiKO38s3o1XwDWjOokHnfjia6qwMdNBAJkAGdMeQP9wGiJal+Jel7H/dUEoivG
	R4Pj0HPAibn/TnXdeWJZiROMCqVFKHW5NSAfHx6jvQ01VUTxaXpWgEQSWFoEwHN+thugpoTtIlA9
	suEpIIuEhZ2HrrwHBUPHkod84qgOOWEubeY/UuL23e/fLwDxN6q24Kn+dmXE+qYCuVh0bXWu79/7
	1Vw36Qp/Afcv4QrY9Eu4AAAAAElFTkSuQmCC
X-Now-Playing: Coil's _How to Destroy Angels_: "Remotely"
X-Hashcash: 1:23:110720:winkler@HIDDEN::cQnYbrRp8BrdUweC:00DUw0
X-Hashcash: 1:23:110720:1779 <at> debbugs.gnu.org::82kRy9xcOnpkOWGe:00000000000000000000000000000000000000000Nw3d
X-Hashcash: 1:23:110720:stephen.berman@HIDDEN::+BEckoy+rR6HlZSq:000000000000000000000000000000000000000Z/sZ
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QjTUP-0005px-L0
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1311760489.72777@RImSArEDsBp3tGTnW8egqQ
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 1779
Cc: Roland Winkler <winkler@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Stephen Berman <stephen.berman@HIDDEN> writes:

> Certainly the new behavior is untenable; please revert my patch.

I've now reverted the patch and reopened this report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.
bug No longer marked as fixed in versions 24.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 20 Jul 2011 08:28:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 20 04:28:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjS91-0003xC-D7
	for submit <at> debbugs.gnu.org; Wed, 20 Jul 2011 04:28:39 -0400
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1QjS8z-0003wz-Jw
	for 1779 <at> debbugs.gnu.org; Wed, 20 Jul 2011 04:28:38 -0400
Received: (qmail invoked by alias); 20 Jul 2011 08:28:31 -0000
Received: from i59F57E0F.versanet.de (EHLO escher.home) [89.245.126.15]
	by mail.gmx.net (mp026) with SMTP; 20 Jul 2011 10:28:31 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+4PZAymqy43Z5qfb8N/0ZzJcYtUXivYLVXmVuGFa
	GCx0+OF+WRZdt+
Received: by escher.home (Postfix, from userid 1000)
	id 122945F935; Wed, 20 Jul 2011 10:28:29 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN> <87ipqxg377.fsf@HIDDEN>
Date: Wed, 20 Jul 2011 10:28:28 +0200
In-Reply-To: <87ipqxg377.fsf@HIDDEN> (Roland Winkler's message of "Tue, 19
	Jul 2011 20:18:04 -0500")
Message-ID: <87vcuxjqz7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Tue, 19 Jul 2011 20:18:04 -0500 Roland Winkler <winkler@HIDDEN> wrote:

> On Tue, Jul 19 2011, Stephen Berman wrote:
>> The patch is below.  The only change I made from the previous patch
>> (aside from leaving out the face change) is to omit the comment from
>> buff-menu.el about assuming fixed-pitch, since obviously we aren't
>> making that assumption (though it's true that :align-to works best with
>> fixed-pitch, but still I definitely think it's an improvement).
>
> I am sorry, this patch does not work for me!

> I do not use variable-pitch fonts. But I use the longer proced formats.
> With the new code the header line does not scroll horizontally anymore
> as required for the longer proced formats.
> Yet stranger, when scrolling the proced buffer to the right, some
> headers on the left simply disappear, whereas headers on the right part
> of the window stay where they are. So for the long proced formats, the
> header line has become rather useless. -- What is more annoying: the old
> wrong behavior for variable-pitch fonts or the new behavior?

Certainly the new behavior is untenable; please revert my patch.  I
didn't know about the long format and didn't test it.  I took a quick
look but couldn't come up with a quick fix.  I'll try some more when I
have time, but it won't be soon; if you or somebody else can find a fix,
that would be great.  Or maybe this problem is a good argument for
hardcoding fixed-pitch for the proced header line.

Sorry for the poorly tested patch.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jul 2011 01:30:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 19 21:30:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjLcE-00031b-0x
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 21:30:22 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLcA-00031O-UU
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 21:30:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLc4-0001fy-Ej
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 21:30:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RCVD_NUMERIC_HELO,RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:50943)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLc4-0001fu-DL
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 21:30:12 -0400
Received: from eggs.gnu.org ([140.186.70.92]:55659)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLc3-0001tP-5T
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jul 2011 21:30:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLc2-0001f2-4o
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jul 2011 21:30:11 -0400
Received: from lo.gmane.org ([80.91.229.12]:34558)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLc1-0001eB-SE
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jul 2011 21:30:10 -0400
Received: from list by lo.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1QjLbz-0002lg-27
	for bug-gnu-emacs@HIDDEN; Wed, 20 Jul 2011 03:30:07 +0200
Received: from 218.22.26.51 ([218.22.26.51])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Wed, 20 Jul 2011 03:30:07 +0200
Received: from winkler by 218.22.26.51 with local (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Wed, 20 Jul 2011 03:30:07 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
Date: Tue, 19 Jul 2011 20:18:04 -0500
Lines: 21
Message-ID: <87ipqxg377.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 218.22.26.51
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
Cancel-Lock: sha1:Uv60Fn+PuGKXNKuaFlKsa3GyXbQ=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: submit
Cc: Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Tue, Jul 19 2011, Stephen Berman wrote:
> The patch is below.  The only change I made from the previous patch
> (aside from leaving out the face change) is to omit the comment from
> buff-menu.el about assuming fixed-pitch, since obviously we aren't
> making that assumption (though it's true that :align-to works best with
> fixed-pitch, but still I definitely think it's an improvement).

I am sorry, this patch does not work for me!

I do not use variable-pitch fonts. But I use the longer proced formats.
With the new code the header line does not scroll horizontally anymore
as required for the longer proced formats.
Yet stranger, when scrolling the proced buffer to the right, some
headers on the left simply disappear, whereas headers on the right part
of the window stay where they are. So for the long proced formats, the
header line has become rather useless. -- What is more annoying: the old
wrong behavior for variable-pitch fonts or the new behavior?

Roland

PS: I just installed a patch for proced that should be completely unrelated.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.
bug marked as fixed in version 24.1, send any further explanations to 1779 <at> debbugs.gnu.org and Stephen Berman <stephen.berman@HIDDEN> Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 19 Jul 2011 21:32:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 19 17:32:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjHuA-0005H2-6a
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 17:32:42 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QjHu4-0005Gl-Dl
	for 1779 <at> debbugs.gnu.org; Tue, 19 Jul 2011 17:32:36 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QjHto-0000H3-QS; Tue, 19 Jul 2011 23:32:16 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <87r55motf9.fsf@HIDDEN> (Stephen Berman's message of
	"Tue, 19 Jul 2011 23:24:26 +0200")
Date: Tue, 19 Jul 2011 23:31:57 +0200
Message-ID: <m3k4be7y9e.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
	<87r55motf9.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEUDBAlmZXcDAwgLBQs3
	ExgCAwgCAQbB0ekA9AeVAAACVUlEQVQ4jU2UPW/bMBCGT6DZriIsQKuXdJZBB11NhEZWpulxDuCS
	c4UE4N/ve0cpKQHLyfvovo+mN8vMRN77heQjh3/hcZ7OoztP8r9R3ZLlhO+XlzCGYRCp65nZ2iTA
	ufMw3ODOQA8T60k0hOiGIXRzOkzhtoFzdDFMV95AnMaEIGJhXDwvp54NH+b1KIHgeDBH5EXcwW/n
	JvlG9OEwTsFLjmxzvbs1Ash7l3i7hVHCWa71HtxTkkQMceb91PrHOXdcpApPuZYKURqT+Lm1MLdR
	AYSir8sfc2tubu/qqkDOeNRauLTW1rl9aE2Qv9Vas9i97sAjKxZVX0cVHaz0BAARp9RSKA0ADSDc
	NgC55uTpO1QB6y11V5JwSUw/27OAti4IX9QVcEr03C3aE9tu0cMwAI5r61FaWr9AGuamaJT1KBKi
	u0smzA7g+CgVcs4KUJ6/BK1DDUgNpMXpEmPQOqSJhizkAiB61OhtlB2jjFNyZQM99uB/MRBP9UTS
	xCoGUfXJI4ank8r1Hj/BBwD686Pn+roDtArTE1f/gZ4tOkInQxWRUYTZwAdATxfDzqjisoER4NgB
	skXTFaCMEZ93K1uCocNZvsTQAab4jq570hXeXMHN9QCAfdc1kZ36BEaWYTuyhjtYSB+E+OkBNg87
	IAy+XbW7uqPa2+jEiwAJbnF79uDOrVaW64qbrRYYh4DgHNZ2cO7ab7CwuoGR6bADs4DkHdAX0IUv
	poNH3AwFOCe5YzooAMwuBbdsBcpev3lJa6plQR5WLzdZ3dJi5JepFssGlzvRPy6eGHx3noCEAAAA
	AElFTkSuQmCC
X-Now-Playing: David Bowie's _David Live (1)_: "Sweet Thing-Candidate-Sweet
	Thing Reprise"
X-Hashcash: 1:23:110719:cyd@HIDDEN::0Zivp18muEgFn09x:00000000000000000000000000000000000000009kxi
X-Hashcash: 1:23:110719:1779 <at> debbugs.gnu.org::DccHJ086MNBV+wGo:00000000000000000000000000000000000000000mhKv
X-Hashcash: 1:23:110719:stephen.berman@HIDDEN::MXRKwS+1DBRNfg6b:000000000000000000000000000000000000001gkoc
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QjHto-0000H3-QS
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1311715936.99252@+4ZHZ3x/MJ9cz7thFNwAYw
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Stephen Berman <stephen.berman@HIDDEN> writes:

> The patch is below.  The only change I made from the previous patch
> (aside from leaving out the face change) is to omit the comment from
> buff-menu.el about assuming fixed-pitch, since obviously we aren't
> making that assumption (though it's true that :align-to works best with
> fixed-pitch, but still I definitely think it's an improvement).

Thanks; I've now applied the patch.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 19 Jul 2011 21:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 19 17:24:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QjHmT-00055Z-0x
	for submit <at> debbugs.gnu.org; Tue, 19 Jul 2011 17:24:41 -0400
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1QjHmM-00055I-Nq
	for 1779 <at> debbugs.gnu.org; Tue, 19 Jul 2011 17:24:39 -0400
Received: (qmail invoked by alias); 19 Jul 2011 21:24:27 -0000
Received: from i59F5423D.versanet.de (EHLO escher.home) [89.245.66.61]
	by mail.gmx.net (mp048) with SMTP; 19 Jul 2011 23:24:27 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1/qmzFqpjHqayYFrLvmofcO5mphgqU9E7wmB/KM66
	qgqZ/guu73Pu1J
Received: by escher.home (Postfix, from userid 1000)
	id D838B5F912; Tue, 19 Jul 2011 23:24:26 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN> <8739i72r0o.fsf@HIDDEN>
Date: Tue, 19 Jul 2011 23:24:26 +0200
In-Reply-To: <8739i72r0o.fsf@HIDDEN> (Stephen Berman's message of
	"Fri, 15 Jul 2011 23:05:59 +0200")
Message-ID: <87r55motf9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Fri, 15 Jul 2011 23:05:59 +0200 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Fri, 15 Jul 2011 19:54:11 +0200 Lars Magne Ingebrigtsen <larsi@HIDDEN> wrote:
>
>> Stefan Monnier <monnier@HIDDEN> writes:
>>
>>> I guess lack of time.  I don't think I agree with the change to the face
>>> definition, but the part of the code that adds :align-to properties to
>>> the spaces looks fine.
>>
>> Stephen, could you send an updated patch with just the :align-to
>> properties?  (If that makes any sense.  :-)  I'm not familiar enough
>> with the code to know whether that would be an improvement or not
>> without the other bits in the patch.)
>
> Sure.  I'll do it as soon as I can, but I probably won't have time until
> Monday or Tuesday.

The patch is below.  The only change I made from the previous patch
(aside from leaving out the face change) is to omit the comment from
buff-menu.el about assuming fixed-pitch, since obviously we aren't
making that assumption (though it's true that :align-to works best with
fixed-pitch, but still I definitely think it's an improvement).

Steve Berman


*** /home/steve/bzr/emacs/trunk/lisp/proced.el	2011-07-08 15:13:26.000000000 +0200
--- /home/steve/bzr/emacs/quickfixes/lisp/proced.el	2011-07-19 23:06:48.000000000 +0200
***************
*** 1509,1514 ****
--- 1509,1524 ----
      (if (string-match "[ \t]+$" proced-header-line)
          (setq proced-header-line (substring proced-header-line 0
                                              (match-beginning 0))))
+      (setq proced-header-line (concat "  " proced-header-line))
+      ;; From buff-menu.el: Turn whitespace chars in the header into
+      ;; stretch specs so they work regardless of the header-line face.
+      (let ((pos 0)
+      	  (header proced-header-line))
+      	(while (string-match "[ \t\n]+" header pos)
+      	  (setq pos (match-end 0))
+      	  (put-text-property (match-beginning 0) pos 'display
+      			     (list 'space :align-to pos)
+      			     header)))
      ;; (delete-trailing-whitespace)
      (goto-char (point-min))
      (while (re-search-forward "[ \t\r]+$" nil t)
***************
*** 1602,1608 ****
      (while (not (eobp))
        (insert "  ")
        (forward-line))
-     (setq proced-header-line (concat "  " proced-header-line))
      (if revert (set-buffer-modified-p nil))
  
      ;; set `goal-column'
--- 1612,1617 ----




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 15 Jul 2011 21:06:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 17:06:10 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QhpaL-0001Hk-RD
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2011 17:06:10 -0400
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1QhpaJ-0001HB-LR
	for 1779 <at> debbugs.gnu.org; Fri, 15 Jul 2011 17:06:08 -0400
Received: (qmail invoked by alias); 15 Jul 2011 21:06:01 -0000
Received: from i59F54621.versanet.de (EHLO escher.home) [89.245.70.33]
	by mail.gmx.net (mp044) with SMTP; 15 Jul 2011 23:06:01 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+Ohx4lrG2OO0cTdZMia5Yzqbx5xlf4Dy9d4cUhia
	2X5GeFP9EpaFVR
Received: by escher.home (Postfix, from userid 1000)
	id CE9945F918; Fri, 15 Jul 2011 23:05:59 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
	<m34o2n2zwc.fsf@HIDDEN>
Date: Fri, 15 Jul 2011 23:05:59 +0200
In-Reply-To: <m34o2n2zwc.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Fri, 15 Jul 2011 19:54:11 +0200")
Message-ID: <8739i72r0o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>,
	Stefan Monnier <monnier@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Fri, 15 Jul 2011 19:54:11 +0200 Lars Magne Ingebrigtsen <larsi@HIDDEN> wrote:

> Stefan Monnier <monnier@HIDDEN> writes:
>
>> I guess lack of time.  I don't think I agree with the change to the face
>> definition, but the part of the code that adds :align-to properties to
>> the spaces looks fine.
>
> Stephen, could you send an updated patch with just the :align-to
> properties?  (If that makes any sense.  :-)  I'm not familiar enough
> with the code to know whether that would be an improvement or not
> without the other bits in the patch.)

Sure.  I'll do it as soon as I can, but I probably won't have time until
Monday or Tuesday.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 15 Jul 2011 17:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 15 13:54:52 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QhmbA-0003gM-MA
	for submit <at> debbugs.gnu.org; Fri, 15 Jul 2011 13:54:52 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1Qhmb5-0003g6-SE
	for 1779 <at> debbugs.gnu.org; Fri, 15 Jul 2011 13:54:48 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1Qhmaq-0001zc-Be; Fri, 15 Jul 2011 19:54:28 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <jwvfwmdpk08.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Sun, 10 Jul 2011 23:36:19 -0400")
Date: Fri, 15 Jul 2011 19:54:11 +0200
Message-ID: <m34o2n2zwc.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
	<jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Joni Mitchell's _Shine_: "One Week Last Summer"
X-Hashcash: 1:23:110715:1779 <at> debbugs.gnu.org::e8vdtrhcH1GtdlmI:000000000000000000000000000000000000000005Seg
X-Hashcash: 1:23:110715:stephen.berman@HIDDEN::RmMUU/I1RjVIpmVc:000000000000000000000000000000000000000O7z0
X-Hashcash: 1:23:110715:monnier@HIDDEN::13PFSd/jq6+KGwrm:0000000000000000000000000000000000000cVoM
X-Hashcash: 1:23:110715:cyd@HIDDEN::xgstT6JzGF7v2M+f:0000000000000000000000000000000000000000pGn7
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1Qhmaq-0001zc-Be
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1311357268.59769@xfhX8mx9cCXFwU2crxp9tA
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>,
	Stephen Berman <stephen.berman@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Stefan Monnier <monnier@HIDDEN> writes:

> I guess lack of time.  I don't think I agree with the change to the face
> definition, but the part of the code that adds :align-to properties to
> the spaces looks fine.

Stephen, could you send an updated patch with just the :align-to
properties?  (If that makes any sense.  :-)  I'm not familiar enough
with the code to know whether that would be an improvement or not
without the other bits in the patch.)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 11 Jul 2011 03:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 23:36:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qg7IM-0007pC-6H
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 23:36:30 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Qg7IK-0007p0-Fm
	for 1779 <at> debbugs.gnu.org; Sun, 10 Jul 2011 23:36:29 -0400
Received: from cpe-66-108-39-217.nyc.res.rr.com ([66.108.39.217]:53764
	helo=ceviche.home)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.71) (envelope-from <monnier@HIDDEN>)
	id 1Qg7ID-0004h5-2H; Sun, 10 Jul 2011 23:36:21 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 3E75E660D5; Sun, 10 Jul 2011 23:36:19 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
Message-ID: <jwvfwmdpk08.fsf-monnier+emacs@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN> <m3tyauchv4.fsf@HIDDEN>
Date: Sun, 10 Jul 2011 23:36:19 -0400
In-Reply-To: <m3tyauchv4.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 10 Jul 2011 16:47:43 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>,
	Stephen Berman <stephen.berman@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

>> There was an oversight in my patch; the corrected version is below.
>> Also, I attach three screenshots: the first shows what the Proced
>> display generated by the current code looks like when the header line
>> face is variable-pitch, the second show the display using the below
>> patch (with the header line stretched and set to fixed-pitch), the third
>> shows the alternative mentioned above (with stretched variable-pitch
>> header line and added space).

> The images included shows that the patch made an improvement.  Was there
> any reason it wasn't applied at the time?

I guess lack of time.  I don't think I agree with the change to the face
definition, but the part of the code that adds :align-to properties to
the spaces looks fine.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 10 Jul 2011 14:52:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 10:52:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QfvN7-0001DD-2r
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2011 10:52:37 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QfvN4-0001Cm-4Q
	for 1779 <at> debbugs.gnu.org; Sun, 10 Jul 2011 10:52:34 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QfvMs-0001eK-7m; Sun, 10 Jul 2011 16:52:22 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
In-Reply-To: <871v5tsw5q.fsf@HIDDEN> (Stephen Berman's message of "Tue,
	07 Dec 2010 11:40:49 +0100")
Date: Sun, 10 Jul 2011 16:47:43 +0200
Message-ID: <m3tyauchv4.fsf@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
	<871v5tsw5q.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Rick Rizzo and Tara Key's _Double Star_: "Yes I Wait"
X-Hashcash: 1:23:110710:1779 <at> debbugs.gnu.org::ObcCYYr2ujNR1xq+:000000000000000000000000000000000000000000k2G
X-Hashcash: 1:23:110710:cyd@HIDDEN::DEC26cCiZKO2nZo6:0000000000000000000000000000000000000000lg6k
X-Hashcash: 1:23:110710:stephen.berman@HIDDEN::tgm8eYeWbQIkUdEg:000000000000000000000000000000000000001FSFY
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QfvMs-0001eK-7m
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310914343.08412@JR1Aqbaj+mN6lsgnvEUevQ
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 1779
Cc: Chong Yidong <cyd@HIDDEN>, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Stephen Berman <stephen.berman@HIDDEN> writes:

> There was an oversight in my patch; the corrected version is below.
> Also, I attach three screenshots: the first shows what the Proced
> display generated by the current code looks like when the header line
> face is variable-pitch, the second show the display using the below
> patch (with the header line stretched and set to fixed-pitch), the third
> shows the alternative mentioned above (with stretched variable-pitch
> header line and added space).

The images included shows that the patch made an improvement.  Was there
any reason it wasn't applied at the time?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 7 Dec 2010 10:34:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 07 05:34:55 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPusp-0008KW-62
	for submit <at> debbugs.gnu.org; Tue, 07 Dec 2010 05:34:55 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1PPusk-0008K5-BO
	for 1779@HIDDEN; Tue, 07 Dec 2010 05:34:53 -0500
Received: (qmail invoked by alias); 07 Dec 2010 10:40:42 -0000
Received: from i59F568F2.versanet.de (EHLO escher.home) [89.245.104.242]
	by mail.gmx.net (mp037) with SMTP; 07 Dec 2010 11:40:42 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX19JDXdUkbhJEZ1LyTxcYSqroNcMOxlapnvMzOlLdu
	eEDex/eJHNcjU7
Received: by escher.home (Postfix, from userid 1000)
	id E1CDC10269; Tue,  7 Dec 2010 11:40:49 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
Date: Tue, 07 Dec 2010 11:40:49 +0100
In-Reply-To: <877hfnajcm.fsf@HIDDEN> (Stephen Berman's message of "Mon,
	06 Dec 2010 00:30:17 +0100")
Message-ID: <871v5tsw5q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

On Mon, 06 Dec 2010 00:30:17 +0100 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Sun, 04 Jan 2009 03:23:53 -0500 Chong Yidong <cyd@HIDDEN> wrote:
>
>>> Proced does not align the attribute names in the header line with the
>>> corresponding columns when header-line face has variable pitch.
>>>
>>> I know of two approaches to dealing with this situation in Emacs, namely
>>> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
>>> fixed-pitch face in the header line, overriding the
>>> user customization.  The former uses the display property with an
>>> :align-to specification to get proper alignment.  Maybe one of these
>>> will work with proced.el too.
>>
>> We can't use :align-to because proced justifies some headers to the
>> right hand side of the column.
>
> I (finally) took a look at this again and it appears that :align-to as
> used in buff-menu.el with some additional tweaking pretty much DTRT
> after all.  With my variable-pitch font (Dejavu Sans) I find the spacing
> between "%CPU" and "%Mem" too crowded; using fixed-pitch looks better,
> and that's what the attached patch does.  Alternatively, I think it
> looks fine to let the header line font be variable-pitch as long as the
> let-bound variable whitespace is set to two spaces.  I actually think
> this makes the proced listings also more legible, though it does leave
> less space for the process invocation listing and is also a departure
> from the Dired display that Proced is modelled on.  Anyway, I'd be happy
> with either approach; both are better than the current display when the
> header-line face is variable-pitch.

There was an oversight in my patch; the corrected version is below.
Also, I attach three screenshots: the first shows what the Proced
display generated by the current code looks like when the header line
face is variable-pitch, the second show the display using the below
patch (with the header line stretched and set to fixed-pitch), the third
shows the alternative mentioned above (with stretched variable-pitch
header line and added space).

Steve Berman


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_var.png
Content-Transfer-Encoding: base64
Content-Description: Proced with unstretched variable-pitch header line
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_fixed.png
Content-Transfer-Encoding: base64
Content-Description: Proced with stretched fixed-pitch header line
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_var2.png
Content-Transfer-Encoding: base64
Content-Description: Proced with stretched variable-pitch header line
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--=-=-=
Content-Type: text/plain


*** /data/steve/bzr/emacs/trunk/lisp/proced.el	2010-09-08 10:12:09.000000000 +0200
--- /data/steve/bzr/emacs/quickfixes/lisp/proced.el	2010-12-07 11:15:38.000000000 +0100
***************
*** 400,406 ****
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
--- 400,406 ----
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:family "Monospace" :inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
***************
*** 1427,1433 ****
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
--- 1427,1433 ----
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key face fixed-pitch mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
***************
*** 1509,1514 ****
--- 1509,1525 ----
      (if (string-match "[ \t]+$" proced-header-line)
          (setq proced-header-line (substring proced-header-line 0
                                              (match-beginning 0))))
+     (setq proced-header-line (concat "  " proced-header-line))
+     ;; From buff-menu.el: Turn whitespace chars in the header into stretch
+     ;; specs so they work regardless of the header-line face.
+     (let ((pos 0)
+     	  (header proced-header-line))
+     	(while (string-match "[ \t\n]+" header pos)
+     	  (setq pos (match-end 0))
+     	  (put-text-property (match-beginning 0) pos 'display
+     			     ;; Assume fixed-size chars in the buffer.
+     			     (list 'space :align-to pos)
+     			     header)))
      ;; (delete-trailing-whitespace)
      (goto-char (point-min))
      (while (re-search-forward "[ \t\r]+$" nil t)
***************
*** 1602,1608 ****
      (while (not (eobp))
        (insert "  ")
        (forward-line))
-     (setq proced-header-line (concat "  " proced-header-line))
      (if revert (set-buffer-modified-p nil))
  
      ;; set `goal-column'
--- 1613,1618 ----

--=-=-=--




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 7 Dec 2010 10:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 07 05:34:54 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPusn-0008KO-Qp
	for submit <at> debbugs.gnu.org; Tue, 07 Dec 2010 05:34:54 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1PPusk-0008K4-BP
	for 1779 <at> debbugs.gnu.org; Tue, 07 Dec 2010 05:34:52 -0500
Received: (qmail invoked by alias); 07 Dec 2010 10:40:42 -0000
Received: from i59F568F2.versanet.de (EHLO escher.home) [89.245.104.242]
	by mail.gmx.net (mp037) with SMTP; 07 Dec 2010 11:40:42 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX19JDXdUkbhJEZ1LyTxcYSqroNcMOxlapnvMzOlLdu
	eEDex/eJHNcjU7
Received: by escher.home (Postfix, from userid 1000)
	id E1CDC10269; Tue,  7 Dec 2010 11:40:49 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN> <877hfnajcm.fsf@HIDDEN>
Date: Tue, 07 Dec 2010 11:40:49 +0100
In-Reply-To: <877hfnajcm.fsf@HIDDEN> (Stephen Berman's message of "Mon,
	06 Dec 2010 00:30:17 +0100")
Message-ID: <871v5tsw5q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

On Mon, 06 Dec 2010 00:30:17 +0100 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Sun, 04 Jan 2009 03:23:53 -0500 Chong Yidong <cyd@HIDDEN> wrote:
>
>>> Proced does not align the attribute names in the header line with the
>>> corresponding columns when header-line face has variable pitch.
>>>
>>> I know of two approaches to dealing with this situation in Emacs, namely
>>> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
>>> fixed-pitch face in the header line, overriding the
>>> user customization.  The former uses the display property with an
>>> :align-to specification to get proper alignment.  Maybe one of these
>>> will work with proced.el too.
>>
>> We can't use :align-to because proced justifies some headers to the
>> right hand side of the column.
>
> I (finally) took a look at this again and it appears that :align-to as
> used in buff-menu.el with some additional tweaking pretty much DTRT
> after all.  With my variable-pitch font (Dejavu Sans) I find the spacing
> between "%CPU" and "%Mem" too crowded; using fixed-pitch looks better,
> and that's what the attached patch does.  Alternatively, I think it
> looks fine to let the header line font be variable-pitch as long as the
> let-bound variable whitespace is set to two spaces.  I actually think
> this makes the proced listings also more legible, though it does leave
> less space for the process invocation listing and is also a departure
> from the Dired display that Proced is modelled on.  Anyway, I'd be happy
> with either approach; both are better than the current display when the
> header-line face is variable-pitch.

There was an oversight in my patch; the corrected version is below.
Also, I attach three screenshots: the first shows what the Proced
display generated by the current code looks like when the header line
face is variable-pitch, the second show the display using the below
patch (with the header line stretched and set to fixed-pitch), the third
shows the alternative mentioned above (with stretched variable-pitch
header line and added space).

Steve Berman


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_var.png
Content-Transfer-Encoding: base64
Content-Description: Proced with unstretched variable-pitch header line
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_fixed.png
Content-Transfer-Encoding: base64
Content-Description: Proced with stretched fixed-pitch header line
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--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=proced_var2.png
Content-Transfer-Encoding: base64
Content-Description: Proced with stretched variable-pitch header line
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--=-=-=
Content-Type: text/plain


*** /data/steve/bzr/emacs/trunk/lisp/proced.el	2010-09-08 10:12:09.000000000 +0200
--- /data/steve/bzr/emacs/quickfixes/lisp/proced.el	2010-12-07 11:15:38.000000000 +0100
***************
*** 400,406 ****
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
--- 400,406 ----
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:family "Monospace" :inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
***************
*** 1427,1433 ****
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
--- 1427,1433 ----
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key face fixed-pitch mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
***************
*** 1509,1514 ****
--- 1509,1525 ----
      (if (string-match "[ \t]+$" proced-header-line)
          (setq proced-header-line (substring proced-header-line 0
                                              (match-beginning 0))))
+     (setq proced-header-line (concat "  " proced-header-line))
+     ;; From buff-menu.el: Turn whitespace chars in the header into stretch
+     ;; specs so they work regardless of the header-line face.
+     (let ((pos 0)
+     	  (header proced-header-line))
+     	(while (string-match "[ \t\n]+" header pos)
+     	  (setq pos (match-end 0))
+     	  (put-text-property (match-beginning 0) pos 'display
+     			     ;; Assume fixed-size chars in the buffer.
+     			     (list 'space :align-to pos)
+     			     header)))
      ;; (delete-trailing-whitespace)
      (goto-char (point-min))
      (while (re-search-forward "[ \t\r]+$" nil t)
***************
*** 1602,1608 ****
      (while (not (eobp))
        (insert "  ")
        (forward-line))
-     (setq proced-header-line (concat "  " proced-header-line))
      (if revert (set-buffer-modified-p nil))
  
      ;; set `goal-column'
--- 1613,1618 ----

--=-=-=--




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 5 Dec 2010 23:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 18:24:26 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPNwP-0004HX-Mt
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2010 18:24:25 -0500
Received: from mailout-de.gmx.net ([213.165.64.22] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1PPNwK-0004H4-VM
	for 1779@HIDDEN; Sun, 05 Dec 2010 18:24:23 -0500
Received: (qmail invoked by alias); 05 Dec 2010 23:30:10 -0000
Received: from i59F5BF8B.versanet.de (EHLO escher.home) [89.245.191.139]
	by mail.gmx.net (mp036) with SMTP; 06 Dec 2010 00:30:10 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+gXNR8yZugHFoZgw+kqSru3Av5wvwK6Mpz/o7UNi
	qFAYWe7jRGfkYE
Received: by escher.home (Postfix, from userid 1000)
	id D9B07104BB; Mon,  6 Dec 2010 00:30:17 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN>
Date: Mon, 06 Dec 2010 00:30:17 +0100
In-Reply-To: <873afzcwdi.fsf@HIDDEN> (Chong Yidong's message of "Sun, 04
	Jan 2009 03:23:53 -0500")
Message-ID: <877hfnajcm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On Sun, 04 Jan 2009 03:23:53 -0500 Chong Yidong <cyd@HIDDEN> wrote:

>> Proced does not align the attribute names in the header line with the
>> corresponding columns when header-line face has variable pitch.
>>
>> I know of two approaches to dealing with this situation in Emacs, namely
>> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
>> fixed-pitch face in the header line, overriding the
>> user customization.  The former uses the display property with an
>> :align-to specification to get proper alignment.  Maybe one of these
>> will work with proced.el too.
>
> We can't use :align-to because proced justifies some headers to the
> right hand side of the column.

I (finally) took a look at this again and it appears that :align-to as
used in buff-menu.el with some additional tweaking pretty much DTRT
after all.  With my variable-pitch font (Dejavu Sans) I find the spacing
between "%CPU" and "%Mem" too crowded; using fixed-pitch looks better,
and that's what the attached patch does.  Alternatively, I think it
looks fine to let the header line font be variable-pitch as long as the
let-bound variable whitespace is set to two spaces.  I actually think
this makes the proced listings also more legible, though it does leave
less space for the process invocation listing and is also a departure
from the Dired display that Proced is modelled on.  Anyway, I'd be happy
with either approach; both are better than the current display when the
header-line face is variable-pitch.

Steve Berman


*** /data/steve/bzr/emacs/trunk/lisp/proced.el	2010-09-08 10:12:09.000000000 +0200
--- /data/steve/bzr/emacs/quickfixes/lisp/proced.el	2010-12-06 00:02:20.000000000 +0100
***************
*** 400,406 ****
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
--- 400,406 ----
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:family "Monospace" :inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
***************
*** 1427,1433 ****
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
--- 1427,1433 ----
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key face fixed-pitch mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
***************
*** 1509,1514 ****
--- 1509,1525 ----
      (if (string-match "[ \t]+$" proced-header-line)
          (setq proced-header-line (substring proced-header-line 0
                                              (match-beginning 0))))
+     (setq proced-header-line (concat "  " proced-header-line))
+     ;; From buff-menu.el: Turn whitespace chars in the header into stretch
+     ;; specs so they work regardless of the header-line face.
+     (let ((pos 0)
+     	  (header proced-header-line))
+     	(while (string-match "[ \t\n]+" header pos)
+     	  (setq pos (match-end 0))
+     	  (put-text-property (match-beginning 0) pos 'display
+     			     ;; Assume fixed-size chars in the buffer.
+     			     (list 'space :align-to pos)
+     			     header)))
      ;; (delete-trailing-whitespace)
      (goto-char (point-min))
      (while (re-search-forward "[ \t\r]+$" nil t)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.

Message received at 1779 <at> debbugs.gnu.org:


Received: (at 1779) by debbugs.gnu.org; 5 Dec 2010 23:24:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 18:24:23 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PPNwN-0004HO-E0
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2010 18:24:23 -0500
Received: from mailout-de.gmx.net ([213.165.64.22] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1PPNwK-0004H5-VL
	for 1779 <at> debbugs.gnu.org; Sun, 05 Dec 2010 18:24:22 -0500
Received: (qmail invoked by alias); 05 Dec 2010 23:30:10 -0000
Received: from i59F5BF8B.versanet.de (EHLO escher.home) [89.245.191.139]
	by mail.gmx.net (mp036) with SMTP; 06 Dec 2010 00:30:10 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+gXNR8yZugHFoZgw+kqSru3Av5wvwK6Mpz/o7UNi
	qFAYWe7jRGfkYE
Received: by escher.home (Postfix, from userid 1000)
	id D9B07104BB; Mon,  6 Dec 2010 00:30:17 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN>
Date: Mon, 06 Dec 2010 00:30:17 +0100
In-Reply-To: <873afzcwdi.fsf@HIDDEN> (Chong Yidong's message of "Sun, 04
	Jan 2009 03:23:53 -0500")
Message-ID: <877hfnajcm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 1779
Cc: 1779 <at> debbugs.gnu.org, 1779 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

On Sun, 04 Jan 2009 03:23:53 -0500 Chong Yidong <cyd@HIDDEN> wrote:

>> Proced does not align the attribute names in the header line with the
>> corresponding columns when header-line face has variable pitch.
>>
>> I know of two approaches to dealing with this situation in Emacs, namely
>> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
>> fixed-pitch face in the header line, overriding the
>> user customization.  The former uses the display property with an
>> :align-to specification to get proper alignment.  Maybe one of these
>> will work with proced.el too.
>
> We can't use :align-to because proced justifies some headers to the
> right hand side of the column.

I (finally) took a look at this again and it appears that :align-to as
used in buff-menu.el with some additional tweaking pretty much DTRT
after all.  With my variable-pitch font (Dejavu Sans) I find the spacing
between "%CPU" and "%Mem" too crowded; using fixed-pitch looks better,
and that's what the attached patch does.  Alternatively, I think it
looks fine to let the header line font be variable-pitch as long as the
let-bound variable whitespace is set to two spaces.  I actually think
this makes the proced listings also more legible, though it does leave
less space for the process invocation listing and is also a departure
from the Dired display that Proced is modelled on.  Anyway, I'd be happy
with either approach; both are better than the current display when the
header-line face is variable-pitch.

Steve Berman


*** /data/steve/bzr/emacs/trunk/lisp/proced.el	2010-09-08 10:12:09.000000000 +0200
--- /data/steve/bzr/emacs/quickfixes/lisp/proced.el	2010-12-06 00:02:20.000000000 +0100
***************
*** 400,406 ****
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
--- 400,406 ----
    :group 'proced-faces)
  
  (defface proced-sort-header
!   '((t (:family "Monospace" :inherit font-lock-keyword-face)))
    "Face used for header of attribute used for sorting."
    :group 'proced-faces)
  
***************
*** 1427,1433 ****
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
--- 1427,1433 ----
               (hprops
                (if (nth 4 grammar)
                    (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
!                     `(proced-key ,key face fixed-pitch mouse-face highlight
                                   help-echo ,(format proced-header-help-echo
                                                      (if descend "-" "+")
                                                      (nth 1 grammar)
***************
*** 1509,1514 ****
--- 1509,1525 ----
      (if (string-match "[ \t]+$" proced-header-line)
          (setq proced-header-line (substring proced-header-line 0
                                              (match-beginning 0))))
+     (setq proced-header-line (concat "  " proced-header-line))
+     ;; From buff-menu.el: Turn whitespace chars in the header into stretch
+     ;; specs so they work regardless of the header-line face.
+     (let ((pos 0)
+     	  (header proced-header-line))
+     	(while (string-match "[ \t\n]+" header pos)
+     	  (setq pos (match-end 0))
+     	  (put-text-property (match-beginning 0) pos 'display
+     			     ;; Assume fixed-size chars in the buffer.
+     			     (list 'space :align-to pos)
+     			     header)))
      ;; (delete-trailing-whitespace)
      (goto-char (point-min))
      (while (re-search-forward "[ \t\r]+$" nil t)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#1779; Package emacs. Full text available.
Severity set to `minor' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at 1779@HIDDEN:


Received: (at 1779) by emacsbugs.donarmstrong.com; 4 Jan 2009 15:47:01 +0000
From monnier@HIDDEN Sun Jan  4 07:47:01 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=HAS_BUG_NUMBER,XIRONPORT
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n04Fkr7E009735
	for <1779@HIDDEN>; Sun, 4 Jan 2009 07:46:55 -0800
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AgcFAP9oYElFxLKh/2dsb2JhbACBbMcghXKBaQ
X-IronPort-AV: E=Sophos;i="4.36,327,1228107600"; 
   d="scan'208";a="31771172"
Received: from 69-196-178-161.dsl.teksavvy.com (HELO ceviche.home) ([69.196.178.161])
  by ironport2-out.teksavvy.com with ESMTP; 04 Jan 2009 10:46:46 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id D77D3B41B8; Sun,  4 Jan 2009 10:46:45 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Cc: 1779 <at> debbugs.gnu.org, Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
Message-ID: <jwvr63jkrm7.fsf-monnier+emacsbugreports@HIDDEN>
References: <873afzcwdi.fsf@HIDDEN> <87prj3i09f.fsf@HIDDEN>
Date: Sun, 04 Jan 2009 10:46:45 -0500
In-Reply-To: <87prj3i09f.fsf@HIDDEN> (Stephen Berman's message of
	"Sun, 04 Jan 2009 16:01:00 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> The justification is customizable in proced-grammar-alist.  I set it to
> `left' for all headers and modified proced-format by adapting the
> :align-to code from buff-menu.el, but the headers still failed to align
> with the columns with a variable-pitch header-line face.  But shouldn't
> it be possible in principle?  Maybe someone who knows the code better
> can make it work.

You can also take a look at mpc.el
(bzr co http://www.iro.umontreal.ca/~monnier/bzr/mpc) where I do it with
align-to as well.  I "try" to handle right alignment, but in a very
naive way.  I don't think we can currently do it right in Elisp, because
there is a lot of missing information.  I could imagine getting it to
work, with a lot of effort based on forcing redisplay and using
posn-at-point to measure the display size of particular pieces of text.
But it's likely to be too slow to be practical.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1779; Package emacs. Full text available.

Message received at 1779@HIDDEN:


Received: (at 1779) by emacsbugs.donarmstrong.com; 4 Jan 2009 15:01:17 +0000
From stephen.berman@HIDDEN Sun Jan  4 07:01:16 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.gmx.net (mail.gmx.net [213.165.64.20])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with SMTP id n04F18hr030470
	for <1779@HIDDEN>; Sun, 4 Jan 2009 07:01:09 -0800
Received: (qmail invoked by alias); 04 Jan 2009 15:01:01 -0000
Received: from i59F56F98.versanet.de (EHLO escher.local.home) [89.245.111.152]
  by mail.gmx.net (mp011) with SMTP; 04 Jan 2009 16:01:01 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+UsWZysK6USSmImf4N4TnUzQiYxhoEQhoikJrsL0
	BygSL2scPLQkiy
Received: by escher.local.home (Postfix, from userid 1000)
	id 418437F690; Sun,  4 Jan 2009 16:01:00 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Cc: 1779 <at> debbugs.gnu.org
Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line
References: <873afzcwdi.fsf@HIDDEN>
Sender: steve@HIDDEN
Date: Sun, 04 Jan 2009 16:01:00 +0100
In-Reply-To: <873afzcwdi.fsf@HIDDEN> (Chong Yidong's message of "Sun, 04
	Jan 2009 03:23:53 -0500")
Message-ID: <87prj3i09f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.61

On Sun, 04 Jan 2009 03:23:53 -0500 Chong Yidong <cyd@HIDDEN> wrote:

>> Proced does not align the attribute names in the header line with the
>> corresponding columns when header-line face has variable pitch.
>>
>> I know of two approaches to dealing with this situation in Emacs, namely
>> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
>> fixed-pitch face in the header line, overriding the
>> user customization.  The former uses the display property with an
>> :align-to specification to get proper alignment.  Maybe one of these
>> will work with proced.el too.
>
> We can't use :align-to because proced justifies some headers to the
> right hand side of the column.

The justification is customizable in proced-grammar-alist.  I set it to
`left' for all headers and modified proced-format by adapting the
:align-to code from buff-menu.el, but the headers still failed to align
with the columns with a variable-pitch header-line face.  But shouldn't
it be possible in principle?  Maybe someone who knows the code better
can make it work.

> I don't see where ibuffer.el imposes a fixed-pitch face on the header
> line, though.  Can you point out where it does this?

I made two mistakes here, sorry.  First, I shouldn't have said
fixed-pitch but the same face as is used in the buffer (which has to be
fixed-pitch in order for the columns to be aligned).  But in addition,
what I assumed to be the header line in the ibuffer window is in fact
just the first line of the buffer (although I looked at the ibuffer code
and saw ibuffer-header-line-format, I overlooked that this was only for
filters, and unthinkingly took the first line to be a header line, as
with buff-menu).  It's too bad the ibuffer "header" line isn't fixed
with respect to the rest of the buffer when scrolling, like a real
header line.  Could this effect be achieved with an overlay?

Steve Berman




Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1779; Package emacs. Full text available.

Message received at 1779@HIDDEN:


Received: (at 1779) by emacsbugs.donarmstrong.com; 4 Jan 2009 08:23:54 +0000
From cyd@HIDDEN Sun Jan  4 00:23:54 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n048Nl1i026220
	for <1779@HIDDEN>; Sun, 4 Jan 2009 00:23:48 -0800
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 5CC5557E18A; Sun,  4 Jan 2009 03:23:53 -0500 (EST)
From: Chong Yidong <cyd@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Cc: 1779 <at> debbugs.gnu.org
Subject: Re: 23.0.60; proced with variable-pitch header line
Date: Sun, 04 Jan 2009 03:23:53 -0500
Message-ID: <873afzcwdi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> Proced does not align the attribute names in the header line with the
> corresponding columns when header-line face has variable pitch.
>
> I know of two approaches to dealing with this situation in Emacs, namely
> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
> fixed-pitch face in the header line, overriding the
> user customization.  The former uses the display property with an
> :align-to specification to get proper alignment.  Maybe one of these
> will work with proced.el too.

We can't use :align-to because proced justifies some headers to the
right hand side of the column.

I don't see where ibuffer.el imposes a fixed-pitch face on the header
line, though.  Can you point out where it does this?




Acknowledgement sent to Chong Yidong <cyd@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1779; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 3 Jan 2009 22:03:03 +0000
From stephen.berman@HIDDEN Sat Jan  3 14:03:02 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n03M2xYL029364
	for <submit@HIDDEN>; Sat, 3 Jan 2009 14:03:01 -0800
Received: from mx10.gnu.org ([199.232.76.166]:36893)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <stephen.berman@HIDDEN>)
	id 1LJEZ6-0003mJ-F6
	for emacs-pretest-bug@HIDDEN; Sat, 03 Jan 2009 17:01:52 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <stephen.berman@HIDDEN>)
	id 1LJEa8-0000OE-Dr
	for emacs-pretest-bug@HIDDEN; Sat, 03 Jan 2009 17:02:58 -0500
Received: from mail.gmx.net ([213.165.64.20]:49905)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <stephen.berman@HIDDEN>)
	id 1LJEa7-0000NS-TK
	for emacs-pretest-bug@HIDDEN; Sat, 03 Jan 2009 17:02:56 -0500
Received: (qmail invoked by alias); 03 Jan 2009 22:02:49 -0000
Received: from i59F550A8.versanet.de (EHLO escher.local.home) [89.245.80.168]
  by mail.gmx.net (mp047) with SMTP; 03 Jan 2009 23:02:49 +0100
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+XzydzvISXEzufmFPxPDSwGZwxLS4wekw1Pi8jvA
	LbFIWSh+QNiFZp
Received: by escher.local.home (Postfix, from userid 1000)
	id 090BC7F690; Sat,  3 Jan 2009 23:02:48 +0100 (CET)
From: Stephen Berman <stephen.berman@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; proced with variable-pitch header line
Sender: steve@HIDDEN
Date: Sat, 03 Jan 2009 23:02:48 +0100
Message-ID: <874p0gt5dj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.62
X-detected-operating-system: by monty-python.gnu.org: Genre and OS details not recognized.

Proced does not align the attribute names in the header line with the
corresponding columns when header-line face has variable pitch.  To
reproduce:

1. emacs -Q
2. customize-face RET header-line RET, change the value of the inherit
   attribute to variable-pitch and the value of the height attribute to
   0.85, and set for the current session.
3. M-x proced

I know of two approaches to dealing with this situation in Emacs, namely
that of buff-menu.el and that of ibuffer.el.  The latter imposes a
fixed-pitch face in the header line, overriding the
user customization.  The former uses the display property with an
:align-to specification to get proper alignment.  Maybe one of these
will work with proced.el too.

In GNU Emacs 23.0.60.27 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-01-03 on escher




Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1779; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.